Search partners
Search partners using their company name or contact email. If a generic string is provided, the system searches for matches in company names and contact emails for all your partners.
Request parameters
Parameter
Type / Description
sessionID
Required (string)
Session identifier, output by the Login method. An exception will be thrown if the values are incorrect.
searchString
Required (string)
Can be either the company name or contact email of the partner. The system searches generic strings in both the names of the companies as well as the contact email addresses.
Request sample
<?php
require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
$searchString = 'YOUR_SEARCH_STRING'; // String to search partners by
try {
$PartnerSearch= $client->searchPartners($sessionID, $searchString);
} catch (SoapFault $e) {
echo "Partner: " . $e->getMessage();
exit;
}
var_dump ("Partner", $PartnerSearch);Response parameters
Parameter
Type
Partner
Array of objects
Errors
Error
Description
INVALID_SEARCH
Invalid value. Please use a string to search.
Last updated
Was this helpful?